@extends ('layouts.patient')

@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center pb-2">
            <h4 class="font-weight-bold m-0">Dx and Focus Areas</h4>
            <span class="mx-2 text-secondary">|</span>
            <div moe>
                <a start show class="">Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="dx">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="ICD" value="" placeholder="ICD"></div>
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Title"></div>
                    <div class="mb-2">
                        <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                            <option value="">Chronic or Acute (select one)</option>
                            <option value="Chronic">Chronic</option>
                            <option value="Acute">Acute</option>
                        </select>
                    </div>
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Prognosis" value="" placeholder="Prognosis"></div>
                    <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Goal" value="" placeholder="Treatment Goal"></textarea></div>
                    <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Plan" value="" placeholder="Treatment Plan"></textarea></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" type="button" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" type="button" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered mb-0">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">Title</th>
                <th class="px-2 text-secondary">ICD</th>
                <th class="px-2 text-secondary">Chronic or Acute</th>
                <th class="px-2 text-secondary">Prognosis</th>
                <th class="px-2 text-secondary">Treatment Goal</th>
                <th class="px-2 text-secondary">Treatment Plan</th>
                <th class="px-2 text-secondary">Created By</th>
                <th class="px-2 text-secondary">Created At</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $line)
                <tr>
                    <td class="px-2">{{$line->content_text}}</td>
                    <td class="px-2">{{ @$line->contentDetail()->{"ICD"} }}</td>
                    <td class="px-2">{{ @$line->contentDetail()->{"Chronic or Acute"} }}</td>
                    <td class="px-2">{{ @$line->contentDetail()->{"Prognosis"} }}</td>
                    <td class="px-2">{{ @$line->contentDetail()->{"Treatment Goal"} }}</td>
                    <td class="px-2">{{ @$line->contentDetail()->{"Treatment Plan"} }}</td>
                    <td class="px-2">{{ $line->createdBySession && $line->createdBySession->pro ? $line->createdBySession->pro->displayName() : '-'}}</td>
                    <td class="px-2">{{ friendly_date_time($line->created_at) }}</td>
                    <td class="px-2 text-center delete-column">
                        <span moe relative class="mr-2">
                            <a class="on-hover-opaque" start show title="Edit">
                                <i class="font-size-11 fa fa-edit"></i>
                            </a>
                            <form url="/api/clientInfoLine/updateContent" right>
                                <input type="hidden" name="uid" value="{{ $line->uid }}">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="dx">
                                <div class="mb-2">
                                    <input type="text" class="form-control form-control-sm" name="ICD" value="{{ @$line->contentDetail()->{"ICD"} }}" placeholder="ICD">
                                </div>
                                <div class="mb-2">
                                    <input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->content_text}}" placeholder="Title">
                                </div>
                                <div class="mb-2">
                                    <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                                        <option value="">Chronic or Acute (select one)</option>
                                        <option {{ @$line->contentDetail()->{"Chronic or Acute"} === 'Chronic' ? 'selected' : '' }} value="Chronic">Chronic</option>
                                        <option {{ @$line->contentDetail()->{"Chronic or Acute"} === 'Acute' ? 'selected' : '' }} value="Acute">Acute</option>
                                    </select>
                                </div>
                                <div class="mb-2">
                                    <input type="text" class="form-control form-control-sm" name="Prognosis" value="{{ @$line->contentDetail()->{"Prognosis"} }}" placeholder="Prognosis">
                                </div>
                                <div class="mb-2">
                                    <textarea type="text" class="form-control form-control-sm" name="Treatment Goal" placeholder="Treatment Goal">{{ @$line->contentDetail()->{"Treatment Goal"} }}</textarea>
                                </div>
                                <div class="mb-2">
                                    <textarea type="text" class="form-control form-control-sm" name="Treatment Plan" placeholder="Treatment Plan">{{ @$line->contentDetail()->{"Treatment Plan"} }}</textarea>
                                </div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" type="button" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" type="button" cancel>Cancel</button>
                                </div>
                            </form>
                        </span>
                        <span moe relative>
                            <a start show class="on-hover-opaque"><i class="fa fa-trash-alt text-danger"></i></a>
                            <form url="/api/clientInfoLine/remove" right>
                                <input type="hidden" name="uid" value="{{ $line->uid }}">
                                <p class="small">Are you sure you want to delete this entry?</p>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
    <script>
        (function() {
            function init() {
                $('input[type="text"][name="ICD"]').each(function() {
                    var elem = this, dynID = 'icd-' + Math.ceil(Math.random() * 1000000);
                    $(elem).attr('id', dynID);
                    new window.Def.Autocompleter.Search(dynID,
                        'https://clinicaltables.nlm.nih.gov/api/icd10cm/v3/search?sf=code,name&ef=name',
                        {
                            tableFormat: true,
                            valueCols: [0],
                            colHeaders: ['Code', 'Name'],
                        }
                    );
                    window.Def.Autocompleter.Event.observeListSelections(dynID, function() {
                        var autocomp = elem.autocomp;
                        var name = autocomp.getSelectedItemData()[0].data['name'];
                        $(elem).closest('form').find('[name="contentText"]').val(name);
                        return false;
                    });
                });
            }
            addMCInitializer('patient-dx-list', init);
        })();
    </script>
@endsection
