@extends ('layouts.patient')

@section('inner-content')
    <link href='/fullcalendar-5.3.2/lib/main.css' rel='stylesheet' />
    <script src='/fullcalendar-5.3.2/lib/main.js'></script>
    <div class="d-flex align-items-center pb-2">
        <h4 class="font-weight-bold m-0 font-size-16">
            {{ $appointment && $appointment->uid ? 'Edit Appointment' : 'Create Appointment' }}
        </h4>
    </div>
    <hr class="mt-2 mb-3">
    <div class="d-flex align-items-start">
        <div class="appt-form-col pr-2">
            <div class="mb-3">
                <label class="text-secondary mb-1">Patient</label>
                <div class="font-weight-bold">{{ $patient->displayName() }}</div>
            </div>
            <div class="mb-3">
                <label class="text-secondary mb-1">Pro *</label>
                <select name="proUid" class="form-control form-control-sm">
                    <option value="">-- select --</option>
                    @foreach($pros as $iPro)
                        <option value="{{$iPro->uid}}" {{ $iPro->uid === $pro->uid ? 'selected' : '' }}>{{$iPro->displayName()}}</option>
                    @endforeach
                </select>
            </div>
            <div class="mb-3">
                <label class="text-secondary mb-1">Timezone *</label>
                <select name="timeZone" class="form-control form-control-sm" required>
                    <option value=""> --select-- </option>
                    <option {{ ($appointment && $appointment->timezone === 'EASTERN') || (!$appointment || !$appointment->uid) ? 'selected' : '' }}
                            value="EASTERN">Eastern</option>
                    <option {{ $appointment && $appointment->timezone === 'CENTRAL' ? 'selected' : '' }}
                            value="CENTRAL">Central</option>
                    <option {{ $appointment && $appointment->timezone === 'MOUNTAIN' ? 'selected' : '' }}
                            value="MOUNTAIN">Mountain</option>
                    <option {{ $appointment && $appointment->timezone === 'PACIFIC' ? 'selected' : '' }}
                            value="PACIFIC">Pacific</option>
                    <option {{ $appointment && $appointment->timezone === 'ALASKA' ? 'selected' : '' }}
                            value="ALASKA">Alaska</option>
                    <option {{ $appointment && $appointment->timezone === 'HAWAII' ? 'selected' : '' }}
                            value="HAWAII">Hawaii</option>
                    <option {{ $appointment && $appointment->timezone === 'PUERTO_RICO' ? 'selected' : '' }}
                            value="PUERTO_RICO">Puerto Rico</option>
                </select>
            </div>
        </div>
        <div class="appt-calendar-col pl-2 border-left border-light">
            <div class="stag-fc-container">

            </div>
        </div>
    </div>
    <script>
        (function() {
            let calendarObject = null;
            function init() {
                calendarObject = new FullCalendar.Calendar($('.stag-fc-container')[0], {
                    headerToolbar: {
                        left: 'prev,next today',
                        center: 'title',
                        right: 'dayGridMonth,timeGridWeek,timeGridDay'
                    },
                    initialDate: '{{ date('Y-m-d') }}',
                    editable: false,
                    navLinks: true, // can click day/week names to navigate views
                    dayMaxEvents: false, // allow "more" link when too many events
                    // events: {
                    //     url: '',
                    //     failure: function(_e) {
                    //         // document.getElementById('script-warning').style.display = 'block'
                    //         console.log(_e);
                    //     }
                    // },
                    loading: function(bool) {
                        // document.getElementById('loading').style.display =
                        //     bool ? 'block' : 'none';
                    }
                });
                calendarObject.render();
                refreshEvents();
            }
            function refreshEvents() {
                $.get('/api/appointment/getAllAppointmentsForPro?start=1990-01-01&end=2025-01-01&timeZone=CENTRAL', function(_data) {
                    if(_data && _data.success) {
                        calendarObject.removeAllEvents();
                        for (let i = 0; i < _data.data.length; i++) {
                            let event = _data.data[i];
                            calendarObject.addEvent(event);
                        }
                    }
                    else {
                        toastr.error('Unable to fetch appointments!');
                    }
                }, 'json');
            }
            addMCInitializer('patient-manage-appointment-' + Math.random() * 10000, init);
        })();
    </script>
@endsection
