<div class="mt-2 pb-1">
    <div class="d-flex align-items-center mb-2 py-2 border-top border-bottom">
        <h6 class="my-0 font-weight-bold text-secondary">Appointments</h6>
        <span class="mx-2 text-secondary">|</span>
        <div moe center>
            <a start show>Add</a>
            @include('app/patient/partials/_appointment-form', ['appointment' => false])
        </div>
        <span class="mx-2 text-secondary">|</span>
        <a href="/patients/view/{{$patient->uid}}/manage-appointment" class="font-weight-bold">Add **</a>
    </div>
    <table class="table table-sm border-0 my-0 mx-2">
        <tbody>
        @foreach($patient->appointments as $appointment)
            <tr>
                <td class="text-black p-0 border-0">
                    <div class="pb-0">
                        <div relative moe center>
                            <a class="on-hover-opaque" start show title="Update">
                                <i class="font-size-11 fa fa-edit text-primary"></i>
                            </a>
                            @include('app/patient/partials/_appointment-form', ['appointment' => $appointment])
                        </div>
                        {{ $appointment->raw_date }}
                        @if($appointment->raw_start_time)
                            &nbsp;{{ friendly_time($appointment->raw_start_time, false) }}
                        @endif
                        @if($appointment->timezone)
                            &nbsp;<span class="text-secondary text-sm">({{ $appointment->timezone }})</span>
                        @endif
                        &nbsp;/&nbsp;
                        {{--<span class="d-inline-block ml- 2 text-secondary">{{ $appointment->title }}</span>
                        &nbsp;/&nbsp;--}}
                        <b class="mr-1">{{$appointment->pro->displayName()}}</b>
                        <span class="text-secondary text-sm">({{ $appointment->status }})</span>
                    </div>
                </td>
            </tr>
        @endforeach
        @if(!$patient->appointments || count($patient->appointments) === 0)
            <tr>
                <td class="text-secondary p-0 border-0">
                    No appointments
                </td>
            </tr>
        @endif
        </tbody>
    </table>
</div>
<script>
    (function() {
        let selectedStart = false, booked = false;
        function toMinutes(_s, _backTrack) {
            _s = _s.split(':');
            let mins = (+_s[0]) * 60 + +_s[1];
            if(_backTrack) mins -= mins % 30;
            return mins;
        }
        function markBookedSlots(_parent) {
            _parent.find('.slot').removeClass('blocked').removeClass('selected');
            for(let i=0; i<booked.length; i++) {
                let startSlot = false;
                _parent.find('.slot').each(function() {
                    let slot = $(this), slotStart = +slot.attr('data-start');
                    if(booked[i].start === slotStart) {
                        startSlot = slot.addClass('blocked');
                        return false;
                    }
                });
                if(startSlot && startSlot.length) {
                    startSlot = startSlot.next();
                }
                if(startSlot && startSlot.length) {
                    while(+startSlot.attr('data-start') < booked[i].end) {
                        startSlot.addClass('blocked');
                        startSlot = startSlot.next();
                    }
                }
            }
            if(_parent.is('.end-time')) {
                _parent.find('.slot').each(function() {
                    if(+$(this).attr('data-start') < selectedStart) {
                        $(this).addClass('blocked');
                    }
                });
            }
        }
        function initSingleCalendar(_elem) {
            _elem.datepicker({
                format: 'yyyy-mm-dd'
            });
            _elem.on('changeDate', function () {
                console.log(_elem.datepicker('getFormattedDate'));
                let parentForm = $(this).closest('form');
                parentForm.find('[name="date"]').val(_elem.datepicker('getFormattedDate'));
                // parentForm.find('[name="startTime"], [name="endTime"]').val('');
                parentForm.find('.slot-picker.start-time').removeClass('disabled');
                let params = 'proUid={{ $pro->uid }}&' +
                    'timeZone=' + parentForm.find('[name="timeZone"]').val() + '&' +
                    'localDate=' + _elem.datepicker('getFormattedDate');
                $.get('/api/appointment/getBookedTimesForProAndTimezone?' + params, function(_data) {
                    console.log(_data);
                    selectedStart = 0;
                    if(_data.success && _data.data) {
                        booked = _data.data;
                        if(parentForm.is('[trigger-reload]')) {
                            booked = booked.filter(function(_item) {
                                return !(_item.startTime === parentForm.find('[name="startTime"]').val() &&
                                    _item.endTime === parentForm.find('[name="endTime"]').val());
                            });
                        }
                        for(let i=0; i<booked.length; i++) {
                            booked[i].start = toMinutes(booked[i].startTime, true);
                            booked[i].end = toMinutes(booked[i].endTime);
                        }
                        markBookedSlots(parentForm.find('.slot-picker.start-time'), booked);
                        markBookedSlots(parentForm.find('.slot-picker.end-time'), booked);
                        parentForm.find('.slot-picker.end-time').addClass('disabled');

                        // reload stuff!
                        if(parentForm.is('[trigger-reload]')) {
                            parentForm.find('.slot-picker.start-time td.selected').removeClass('selected');
                            parentForm.find('.slot-picker.start-time td').each(function() {
                                let minutes = toMinutes(parentForm.find('[name="startTime"]').val(), true);
                                if(+$(this).attr('data-start') === minutes) {
                                    console.log('Matched: ', $(this).text())
                                    $(this).addClass('selected');
                                    selectedStart = +$(this).attr('data-start');
                                    return false;
                                }
                            });
                            parentForm.find('.slot-picker.end-time td.selected').removeClass('selected');
                            parentForm.find('.slot-picker.end-time td').each(function() {
                                if($(this).text() === parentForm.find('[name="endTime"]').val()) {
                                    $(this).addClass('selected');
                                    return false;
                                }
                            });
                            parentForm.find('.slot-picker.end-time').removeClass('disabled');

                        }
                    }

                }, 'json');
            });
        }
        function initAppointmentCalendar() {
            $('.pro-appointment-calendar').each(function() {
                initSingleCalendar($(this));
            });

            $(document).on('click', '.slot-picker td:not(.blocked)', function() {
                let parentForm = $(this).closest('form');
                $(this).closest('.slot-picker').find('td.selected').removeClass('selected');
                $(this).addClass('selected');
                selectedStart = +$(this).attr('data-start');
                if($(this).closest('.slot-picker').is('.start-time')) {
                    parentForm.find('.slot-picker.end-time td.selected').removeClass('selected');
                    parentForm.find('.slot-picker.end-time').removeClass('disabled');
                    parentForm.find('[name="startTime"]').val($(this).text());
                    markBookedSlots(parentForm.find('.slot-picker.end-time'), booked);
                }
                else {
                    parentForm.find('[name="endTime"]').val($(this).text());
                }
            });

            $(document).on('change', '[name="timeZone"]', function() {
                if(this.value) {
                    $(this).closest('form').find('.pro-appointment-calendar').removeClass('disabled');
                }
                else {
                    $(this).closest('form').find('.pro-appointment-calendar').addClass('disabled');
                }
            });

            $('form[trigger-reload]').each(function() {
                let form = $(this);
                form.find('[name="timeZone"]').trigger('change');
                form.find('.pro-appointment-calendar').datepicker(
                    'setDate',
                    new Date(form.find('[name="date"]').val())
                );
            });
        }
        addMCInitializer('patient-single-appointment-calendar', initAppointmentCalendar);
    })();
</script>
