@extends ('layouts.patient')

@section('inner-content')
    <div class="font-weight-bold mb-2">Home Address</div>
    <div class="pl-3">
        <div class="mb-1">
            Address Line 1: <b>{{ $patient->home_address_line1 }}</b>
        </div>
        <div class="mb-1">
            Address Line 2: <b>{{ $patient->home_address_line2 }}</b>
        </div>
        <div class="mb-1">
            City: <b>{{ $patient->home_address_city }}</b>
        </div>
        <div class="mb-1">
            State: <b>{{ $patient->home_address_state }}</b>
        </div>
        <div class="mb-1">
            ZIP: <b>{{ $patient->home_address_zip }}</b>
        </div>
    </div>

    <div class="font-weight-bold mb-2 mt-3">Mailing Address</div>
    <div class="pl-3">
        <div class="mb-1">
            Address Line 1: <b>{{ $patient->mailing_address_line1 }}</b>
        </div>
        <div class="mb-1">
            Address Line 2: <b>{{ $patient->mailing_address_line2 }}</b>
        </div>
        <div class="mb-1">
            City: <b>{{ $patient->mailing_address_city }}</b>
        </div>
        <div class="mb-1">
            State: <b>{{ $patient->mailing_address_state }}</b>
        </div>
        <div class="mb-1">
            ZIP: <b>{{ $patient->mailing_address_zip }}</b>
        </div>
        <div class="mb-1">
            Special Instructions: <b>{{ $patient->mailing_address_memo }}</b>
        </div>
    </div>

    <div class="font-weight-bold mb-2 mt-3">Contact Info</div>
    <div class="pl-3">
        <div class="mb-1">
            Phone: <b>{{ $patient->cell_number }}</b>
        </div>
        <div class="mb-1">
            Email: <b>{{ $patient->email_address }}</b>
        </div>
    </div>

    <div class="mt-3 d-flex align-items-center">
        <div moe wide>
            <a start show><i class="fa fa-edit"></i> Edit Contact Info</a>
            <form url="/api/client/putContactInfo" class="mcp-theme-1">
                <input type="hidden" name="uid" value="{{$patient->uid}}">
                <div class="mb-2">
                    <input type="tel" class="form-control form-control-sm" name="cellNumber" placeholder="Phone Number" value="{{ $patient->cell_number }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="email" placeholder="Email" value="{{ $patient->email_address }}">
                </div>
                <div>
                    <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                </div>
            </form>
        </div>
        <span class="mx-2 text-secondary">|</span>
        <div moe wide>
            <a start show><i class="fa fa-edit"></i> Edit Address</a>
            <form url="/api/client/editAddress" class="mcp-theme-1">
                <input type="hidden" name="uid" value="{{$patient->uid}}">

                <p class="mb-2 font-weight-bold">Home Address</p>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="homeAddressLine1" placeholder="Address Line 1" value="{{ $patient->home_address_line1 }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="homeAddressLine2" placeholder="Address Line 2" value="{{ $patient->home_address_line2 }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="homeAddressCity" placeholder="City" value="{{ $patient->home_address_city }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="homeAddressState" placeholder="State" value="{{ $patient->home_address_state }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="homeAddressZip" placeholder="ZIP" value="{{ $patient->home_address_zip }}">
                </div>

                <p class="mb-2 mt-3 font-weight-bold">Mailing Address</p>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="mailingAddressLine1" placeholder="Address Line 1" value="{{ $patient->mailing_address_line1 }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="mailingAddressLine2" placeholder="Address Line 2" value="{{ $patient->mailing_address_line2 }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="mailingAddressCity" placeholder="City" value="{{ $patient->mailing_address_city }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="mailingAddressState" placeholder="State" value="{{ $patient->mailing_address_state }}">
                </div>
                <div class="mb-2">
                    <input type="text" class="form-control form-control-sm" name="mailingAddressZip" placeholder="ZIP" value="{{ $patient->mailing_address_zip }}">
                </div>
                <div class="mb-2">
                    <textarea type="text" class="form-control form-control-sm" name="mailingAddressMemo" placeholder="ZIP">{{ $patient->mailing_address_memo }}</textarea>
                </div>

                <div>
                    <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                </div>
            </form>
        </div>
    </div>

    <hr class="m-negator my-3">
    <span>MCP: <b>{{ $patient->mcp ? $patient->mcp->displayName() : '-' }}</b></span>
    @if($pro->pro_type == 'ADMIN')
    <div moe class="ml-2">
        <a start show><i class="fa fa-edit"></i></a>
        <form url="/api/client/putMcp" class="mcp-theme-1">
            <input type="hidden" name="uid" value="{{$patient->uid}}">
            <div class="mb-2">
                <label class="text-secondary text-sm">MCP Pro</label>
                <select name="mcpProUid" class="form-control form-control-sm">
                    <option value=""> --select-- </option>
                    @foreach($pros as $iPro)
                        <option value="{{$iPro->uid}}" {{ $patient->mcp && $iPro->uid === $patient->mcp->uid ? 'selected' : '' }}>{{$iPro->displayName()}}</option>
                    @endforeach
                </select>
            </div>
            <div>
                <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                <button cancel class="btn btn-sm btn-default border">Cancel</button>
            </div>
        </form>
    </div>
    @endif

    <hr class="m-negator my-3">
    <span>MCP Onboarding Visit: <b>{{ $patient->has_mcp_done_onboarding_visit }}</b></span>
    <span moe class="ml-2">
        <a start show><i class="fa fa-edit"></i></a>
        <form url="/api/client/updateMcpOnboardingVisitInfo" class="mcp-theme-1">
            <input type="hidden" name="uid" value="{{$patient->uid}}">
            <div class="mb-2">
                <select name="hasMcpDoneOnboardingVisit"
                        class="form-control form-control-sm"
                        onchange="toggleDisabledAsNeeded(this, 'YES', 'if-visit-done')">
                    <option value="">-- Select Status --</option>
                    <option value="YES" {{ $patient->has_mcp_done_onboarding_visit === 'YES' ? 'selected' : '' }}>YES</option>
                    <option value="NO" {{ $patient->has_mcp_done_onboarding_visit === 'NO' ? 'selected' : '' }}>NO</option>
                    <option value="UNKNOWN" {{ $patient->has_mcp_done_onboarding_visit === 'UNKNOWN' ? 'selected' : '' }}>UNKNOWN</option>
                </select>
            </div>
            <div class="mb-2">
                <input type="date" class="if-visit-done form-control form-control-sm" disabled
                       name="mcpOnboardingVisitDate" value="{{ date('Y-m-d') }}" max="{{ date('Y-m-d') }}">
            </div>
            <div class="mb-2">
                <select name="mcpOnboardingVisitNoteUid" disabled
                        class="form-control form-control-sm if-visit-done"
                        onchange="if(this.value === '-- create --') createNewNote('{{$patient->uid}}', '{{$pro->uid}}', '{{date('Y-m-d')}}');">
                    <option value="">-- Visit Note --</option>
                    @foreach ($notes as $note)
                        @if(!empty($note->title) && $note->client_id === $patient->id && !$note->is_cancelled)
                            <option
                                {{ $patient->mcp_onboarding_visit_note_id === $note->id ? 'selected' : '' }}
                                value="{{$note->uid}}">{{$note->title}} ({{friendly_date_time($note->effective_dateest, false)}})</option>
                        @endif
                    @endforeach
                    {{--<option value="-- create --">-- Create Note --</option>--}}
                </select>
            </div>
            <div class="mb-2 if-note-outside-system">
                <textarea class="form-control form-control-sm" name="reasonOnboardingVisitNoteOutsideSystem" placeholder="Visit note outside the system reason" spellcheck="false" data-gramm="false"></textarea>
            </div>
            <div>
                <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                <button cancel class="btn btn-sm btn-default border">Cancel</button>
            </div>
        </form>
    </span>
@endsection
